[Overview][Classes][Procedures and functions][Index] | Reference for unit 'fpmimetypes' (#fcl)

# TFPMimeTypes.GetMimeType

Get MIME type of an extension

## Declaration

Source position: fpmimetypes.pp line 73

`public function TFPMimeTypes.GetMimeType(`
`const AExtension: string`
`):string;`

## Arguments

`AExtension` |  | Extension to search for.

## Function result

MIME type for AExtension, or empty if not found

## Description

GetMimeType returns the MIME type of the extension AExtension. The extension is searched case-insensitive. If no MIME type is found, an empty string is returned. The extension may start with a dot character or not.

## See also

TFPMimeTypes.GetMimeExtensions |  | Get the extensions associated with a MIME type